%global pypiname Send2Trash

Name:           python-send2trash
Version:        1.8.2
Release:        %mkrel 3
Summary:        Python library to natively send files to Trash

License:        BSD
URL:            https://github.com/hsoft/send2trash
Group:          Development/Python

# PyPI sdist lacks tests
Source0:        %url/archive/%{version}/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

%description
Send2Trash is a small package that sends files to the Trash (or Recycle Bin)
natively and on all platforms. On OS X, it uses native FSMoveObjectToTrashSync
Cocoa calls, on Windows, it uses native (and ugly) SHFileOperation win32 calls.
On other platforms, if PyGObject and GIO are available, it will use this.
Otherwise, it will fallback to its own implementation of the trash specifications
from freedesktop.org.

%package -n python3-send2trash
Summary:        Python3 library to natively send files to Trash
Provides:       python3-%{pypiname} = %{version}-%{release}
Provides:       send2trash = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypiname}}
%{?python_provide:%python_provide python3-send2trash}

%description -n python3-send2trash
Send2Trash is a small package that sends files to the Trash (or Recycle Bin)
natively and on all platforms. On OS X, it uses native FSMoveObjectToTrashSync
Cocoa calls, on Windows, it uses native (and ugly) SHFileOperation win32 calls.
On other platforms, if PyGObject and GIO are available, it will use this.
Otherwise, it will fallback to its own implementation of the trash specifications
from freedesktop.org.

%prep
%setup -q -n send2trash-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files send2trash

%check
%pytest

%files -n python3-send2trash -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGES.rst
%{_bindir}/send2trash


%changelog
* Sat Mar 01 2025 wally <wally> 1.8.2-3.mga10
+ Revision: 2155921
- rebuild for python3.13

* Wed Dec 20 2023 daviddavid <daviddavid> 1.8.2-2.mga10
+ Revision: 2019941
- rebuild for py3.12

* Mon Dec 04 2023 papoteur <papoteur> 1.8.2-1.mga10
+ Revision: 2013089
- new 1.8.2

* Sat Mar 26 2022 umeabot <umeabot> 1.8.0-3.mga10
+ Revision: 1828554
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.8.0-2.mga9
+ Revision: 1782648
- rebuild for python-3.10

* Thu Sep 02 2021 wally <wally> 1.8.0-1.mga9
+ Revision: 1744123
- new version 1.8.0

* Tue Mar 23 2021 daviddavid <daviddavid> 1.5.0-6.mga9
+ Revision: 1708144
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.5.0-5.mga8
+ Revision: 1532622
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.5.0-4.mga8
+ Revision: 1442587
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.5.0-3.mga7
+ Revision: 1354359
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1290015
- Mageia 7 Mass Rebuild

* Sun Mar 18 2018 joequant <joequant> 1.5.0-1.mga7
+ Revision: 1210319
- imported package python-send2trash

